NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/agents/{agent_id}/knowledge-bases

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

agent_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/agents/string/knowledge-bases"
{  "data": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "name": "string",      "description": "string",      "deployment_id": "string",      "configuration": null,      "documents_count": 0,      "total_size": 0    }  ],  "total": 0,  "offset": 0,  "limit": 0}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}